var ErrorWithLocation = class extends Error {
	constructor(e, n) {
		super(e ? `${n} at ${e.range.start.line}:${e.range.start.character}` : n);
	}
};
function assertUnreachable(e, n = "Error: Got unexpected value.") {
	throw Error(n);
}
function assertCondition(e, n = "Error: Condition is violated.") {
	if (!e) throw Error(n);
}
export { ErrorWithLocation, assertCondition, assertUnreachable };
